<template>
    <reviewBlock
        :headerCmsWidgetName="cmsWidgetName"
        :content="displayContent"
        @edit-clicked="editClicked" />
</template>

<script>
import reviewBlock from "@/layouts/payment-method/review-dropdown/review-block/review-block";

export default {
    name: "vehicle-review",
    props: {
        cmsWidgetName: String,
        vehicle: Object,
    },
    data() {
        return {};
    },
    methods: {
        editClicked() {
            this.$emit("edit-clicked");
        },
    },
    computed: {
        displayContent() {
            return [`${this.vehicle.year} ${this.vehicle.make} ${this.vehicle.model}`];
        },
    },
    components: {
        reviewBlock,
    },
};
</script>
